Skip to main content
GET
/
api
/
projects
/
recurring-executions
/
list
List recurring executions for a project
curl --request GET \
  --url https://api.mentionlab.io/api/projects/recurring-executions/list \
  --header 'x-project-id: <x-project-id>'
{
  "page": {
    "totalRecords": 123,
    "limit": 123,
    "currentPage": 123,
    "totalPages": 123,
    "nextPage": 123,
    "prevPage": 123
  },
  "results": [
    {
      "id": "01234567-89ab-cdef-0123-456789abcdef",
      "status": "success",
      "createdAt": "2026-02-15T01:00:00.000Z",
      "errorMessage": "<string>",
      "project": {
        "id": "01234567-89ab-cdef-0123-456789abcdef",
        "name": "Project Name",
        "recurrenceStatus": "active",
        "nextEstimatedExecutionAt": "2026-02-20T01:00:00.000Z"
      }
    }
  ]
}

Headers

x-project-id
string
required

Project ID to specify the project context

Query Parameters

limit
number
Example:

50

page
number
Example:

1

Response

200 - application/json
page
object
required
results
object[]